Package org.firebirdsql.jdbc.field

## Class DefaultObjectConverter

- java.lang.Object
- - org.firebirdsql.jdbc.field.DefaultObjectConverter

    public final class DefaultObjectConverter
    extends java.lang.Object

Provides a default implementation of `ObjectConverter`.

This `ObjectConverter` provides no conversion.

Since:
  2.2
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`DefaultObjectConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `getObject​(FBField field, java.lang.Class<T> type)`
`boolean` `setObject​(FBField field, java.lang.Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultObjectConverter

    public DefaultObjectConverter()

### Method Detail

#### setObject

    public boolean setObject​(FBField field,
                             java.lang.Object object)
                      throws java.sql.SQLException

This implementation always returns `false`.

Throws:
  `java.sql.SQLException`

#### getObject

    public <T> T getObject​(FBField field,
                           java.lang.Class<T> type)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`